(function () {
    'use strict';

    angular
        .module('contestacaoApp')
        .factory('Referencia', Referencia);

    Referencia.$inject = ['ObjetoMapaReferencia'];

    /* @ngInject */
    function Referencia(ObjetoMapaReferencia) {

        function Referencia(data) {
            this.codigo = data.codigo;
            this.codigoTipo = data.codigoTipo;
            this.descricao = data.descricao;
            this.checked = data.checked;
            this.visivel = data.visivel;
            this.objetoMapa = new ObjetoMapaReferencia(data, this.codigo);
        }

        Referencia.prototype.inicializar = function () {
            this.objetoMapa.inicializar();
        };

        return Referencia;
    }

})();
